%define binsuffix %{?flavour:-%{flavour}}
%define uname  %{kernel_version}%{?flavour}

Summary: QLA2XXX Device Driver for Qlogic ISP 2xxx
Name: qla2xxx
Version: 8.03.01.11.5.6.k4
Release: 00
License: GPL
Group: System Environment/Kernel
Source0: %{name}-src-v%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description

%package modules%{binsuffix}-%{kernel_version}
Summary: QLA2XXX Device Driver for Qlogic ISP 2xxx
Group: System Environment/Kernel
Requires: kernel%{binsuffix} = %{kernel_version}
Provides: %{name}-modules%{binsuffix} = %{kernel_version}

%description modules%{binsuffix}-%{kernel_version}
QLA2XXX kernel modules for Qlogic ISP 2xxx compiled against kernel
version %{uname}.

%prep
%setup -q -n %{name}

%build
%{__make} -C /lib/modules/%{uname}/build M=$(pwd) CONFIG_SCSI_QLA_FC=m modules


%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C /lib/modules/%{uname}/build M=$(pwd) \
	INSTALL_MOD_PATH=$RPM_BUILD_ROOT INSTALL_MOD_DIR=kernel/drivers/scsi/qla2xxx \
	CONFIG_SCSI_QLA_FC=m \
	modules_install

# mark modules executable so that strip-to-file can strip them
find $RPM_BUILD_ROOT/lib/modules/%{uname} -name "*.ko" -type f  | xargs chmod u+x

%clean
rm -rf $RPM_BUILD_ROOT

%post modules%{binsuffix}-%{kernel_version}
depmod %{uname}

%files modules%{binsuffix}-%{kernel_version}
%defattr(-,root,root,-)
/lib/modules/%{uname}/kernel/drivers/scsi/qla2xxx/*.ko
%doc

%postun modules%{binsuffix}-%{kernel_version}
depmod %{uname}

%changelog
* Mon Aug 09 2010 JC
- Switch qla2xxx from RHEL5.x to SLES11 with P3P support.
* Mon Mar 15 2010 JC
- Fixed firmware version string
* Thu Sep 8 2009 AC
- Switch from RHEL 5.x to SLES 11.1 driver with FCoE support
* Tue Mar 24 2009 AC
- Update f/w to 4.04.09 version
* Tue Apr 29 2008 AC
- Use inbox driver
